# Flutter ProGuard Rules for Musadaq

# Keep Flutter engine
-keep class io.flutter.** { *; }
-keep class io.flutter.plugins.** { *; }

# Keep Firebase
-keep class com.google.firebase.** { *; }

# Keep Dio
-keep class io.github.nicekun.** { *; }
-dontwarn okhttp3.**
-dontwarn okio.**

# Keep CameraAwesome
-keep class com.apparence.camerawesome.** { *; }

# Keep ObjectBox
-keep class io.objectbox.** { *; }

# Ignore missing Play Core classes referenced by Flutter Engine
-dontwarn com.google.android.play.core.**
